<?php

declare(strict_types = 1);

namespace Drupal\gutenberg_group_media\Plugin\GroupFinder;

use Drupal\group\Entity\Group;

/**
 * Plugin for gutenberg media routes originated from group route.
 *
 * @GroupFinder(
 *   id = "gutenberg_media_routes_in_group_route",
 *   label = @Translation("Gutenberg media routes originated from group route"),
 *   description = @Translation("When in context of gutenberg media routes (dialog, upload) originated from group route."),
 *   weight = 60,
 * )
 */
class GutenbergMediaRoutesInGroupRoute extends GutenbergMediaRoutesBase {

  /**
   * {@inheritdoc}
   */
  public function isApplicable(): bool {
    $is_applicable = parent::isApplicable();

    if ($is_applicable && ($url_object = $this->getUrlObject())) {
      if (($parameters = $url_object->getRouteParameters()) && isset($parameters['group'])) {
        $this->group = Group::load($parameters['group']);
        return True;
      }
    }

    return FALSE;
  }

}
